import React from 'react';
import { PreviewModalData } from '../../../types/notification';
type Props = {
    unreadCount: number;
    open: boolean;
    onOpen(): void;
    onClose(): void;
    previewModalData: PreviewModalData | null;
    setPreviewModalData(v: PreviewModalData | null): void;
    previewDeps: {
        iframeClickRef: any;
        loadMoreRef: React.RefObject<HTMLDivElement | null>;
    };
    noti: any;
    animated: any;
};
export default function NotiDropdown({ animated, noti, onClose, onOpen, open, previewDeps, previewModalData, setPreviewModalData, unreadCount, }: Props): React.JSX.Element;
export {};
